package cn.iocoder.yudao.module.depository.convert.warehouse;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.depository.vo.warehouseArea.WarehouseAreaBackVO;
import cn.iocoder.yudao.module.depository.vo.warehouseArea.WarehouseAreaCreateReqVO;
import cn.iocoder.yudao.module.depository.vo.warehouseArea.WarehouseAreaUpdateReqVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.WarehouseAreaDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 库区库域 Convert
 * @author wlh
 */
@Mapper
public interface WarehouseAreaConvert {
    /*****转换MapStruct*****/
    WarehouseAreaConvert INSTANCE = Mappers.getMapper(WarehouseAreaConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    WarehouseAreaDO convert(WarehouseAreaCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    WarehouseAreaDO convert(WarehouseAreaUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    WarehouseAreaBackVO convert(WarehouseAreaDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<WarehouseAreaBackVO> convertList(List<WarehouseAreaDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<WarehouseAreaBackVO> convertPage(PageResult<WarehouseAreaDO> page);
}
