package cn.iocoder.yudao.module.depository.convert.warehouse;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.depository.vo.warehouseAreaPosition.WarehouseAreaPositionBackVO;
import cn.iocoder.yudao.module.depository.vo.warehouseAreaPosition.WarehouseAreaPositionCreateReqVO;
import cn.iocoder.yudao.module.depository.vo.warehouseAreaPosition.WarehouseAreaPositionUpdateReqVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.WarehouseAreaPositionDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 仓位管理 Convert
 * @author wlh
 */
@Mapper
public interface WarehouseAreaPositionConvert {
    /*****转换MapStruct*****/
    WarehouseAreaPositionConvert INSTANCE = Mappers.getMapper(WarehouseAreaPositionConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    WarehouseAreaPositionDO convert(WarehouseAreaPositionCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    WarehouseAreaPositionDO convert(WarehouseAreaPositionUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    WarehouseAreaPositionBackVO convert(WarehouseAreaPositionDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<WarehouseAreaPositionBackVO> convertList(List<WarehouseAreaPositionDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<WarehouseAreaPositionBackVO> convertPage(PageResult<WarehouseAreaPositionDO> page);
}
