package cn.iocoder.yudao.module.depository.convert.warehouseLine;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.WarehouseLineDO;
import cn.iocoder.yudao.module.depository.vo.warehouseLine.WarehouseLineBackVO;
import cn.iocoder.yudao.module.depository.vo.warehouseLine.WarehouseLineChannelTemplateBackVO;
import cn.iocoder.yudao.module.depository.vo.warehouseLine.WarehouseLineCreateReqVO;
import cn.iocoder.yudao.module.depository.vo.warehouseLine.WarehouseLineUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 仓库线路关联 Convert
 * @author wlh
 */
@Mapper
public interface WarehouseLineConvert {
    /*****转换MapStruct*****/
    WarehouseLineConvert INSTANCE = Mappers.getMapper(WarehouseLineConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    WarehouseLineDO convert(WarehouseLineCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    WarehouseLineDO convert(WarehouseLineUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    WarehouseLineBackVO convert(WarehouseLineDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<WarehouseLineBackVO> convertList(List<WarehouseLineDO> list);
    List<WarehouseLineChannelTemplateBackVO> convertTemplateList(List<WarehouseLineDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<WarehouseLineBackVO> convertPage(PageResult<WarehouseLineDO> page);
}
