package cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPackaging;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPriceStepClearance.LineChannelPriceStepClearanceDO;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.List;

/**
 * 线路渠道清关费包装类型 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_line_channel_packaging")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LineChannelPackagingDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 渠道ID列表
     */
    private String channelIds;
    /**
     * 线路ID
     */
    private Long lineId;
    /**
     * 包装类型 eg:1,2,3
     */
    private String packagingTypes;
    /**
     * 空运重量上限
     */
    private java.math.BigDecimal airWeightLimit;

    /**
     * 清关金额单位
     */
    private Long clearancePriceUnit;
    /**
     * 清关体积单位
     */
    private Long clearanceVolumeUnit;



    /**
     * 空运清关费阶梯价格列表
     */
    @TableField(exist = false)
    private List<LineChannelPriceStepClearanceDO> lineChannelPriceStepClearanceDOList;

}
