package cn.iocoder.yudao.module.depository.dal.dataobject.warehouse;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 货架 DO
 *
 * @author wlh
 */
@TableName("ecw_shelf")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShelfDO extends BaseDO {
    /**
     *
     */
    @TableId
    private Long id;

    /**
     * 仓库ID
     */
    private Long warehouseId;
    /**
     * 区域名称
     */
    private String regionName;
    /**
     * 区域编码
     */
    private String regionCode;
    /**
     * 条码起始号
     */
    private Integer barcodeStart;
    /**
     * 货架数量
     */
    private Integer shelfNum;
    /**
     * 货架起始号
     */
    private Integer shelfStart;
    /**
     * 货架层数
     */
    private Integer shelfLayer;
    /**
     * 层数起始号
     */
    private Integer layerStart;
    /**
     * 货架格数
     */
    private Integer shelfGridNum;
    /**
     * 货架类型
     */
    private Integer shelfType;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
