package cn.iocoder.yudao.module.depository.dal.dataobject.warehouse;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 库区库域 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_warehouse_area")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WarehouseAreaDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 仓库ID
     */
    private Long warehouseId;
    /**
     * 名称
     */
    private String name;
    /**
     * 代码
     */
    private String code;
    /**
     * 上级ID,0-库域，1-库区
     */
    private Long pid;
    /**
     * 区域状态（0正常 1停用）
     */
    private Integer status;

}
