package cn.iocoder.yudao.module.depository.dal.dataobject.warehouse;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 仓位管理 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_warehouse_area_position")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WarehouseAreaPositionDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 库域ID
     */
    private Long domainId;
    /**
     * 库域名称
     */
    private String domainName;
    /**
     * 库区ID
     */
    private Long areaId;
    /**
     * 库区名称
     */
    private String areaName;
    /**
     * 仓库ID
     */
    private Long warehouseId;
    /**
     * 仓位代码
     */
    private String code;
    /**
     * 上级仓库
     */
    private Long pid;
    /**
     * 是否是货架，1-是，0-不是
     */
    private Integer isShelf;
    /**
     * 区域状态（0正常 1停用）
     */
    private Integer status;

}
