package cn.iocoder.yudao.module.depository.dal.dataobject.warehouse;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

import java.math.BigDecimal;

/**
 * 仓库线路关联 DO
 *
 * @author wlh
 */
@TableName("ecw_warehouse_line")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WarehouseLineDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 始发仓库id
     */
    private Long startWarehouseId;
    /**
     * 目的仓库id
     */
    private Long destWarehouseId;
    /**
     * 运输方式
     */
    private String transportType;

    /**
     * 其他服务，1-集运服务，6-数量是否必填,3-非控货订单代收货款，4-海外仓,2-送货上门，5-提货异常, 10-默认送货上门
     */
    private String otherService;

    /**
     * 是否展示 默认为展示
     */
    private Integer status;

    /**
     * 控货，0-支持，1-不支持
     */
    private Integer controlStatus;

    /**
     * 保费币种
     */
    private Long currencyUnit;

    /**
     * 最低保费金额
     */
    private BigDecimal minPrice;


    /**
     * 提单制作节点
     */
    private String makeBillNode;


    /**
     * 是否在客户端显示  0不显示 1显示
     */
    private Boolean isClientShow;

    /**
     * 发件人信息
     */
    private String senderInfo;

    /**
     * 收件人信息
     */
    private String recipientInfo;

    /**
     * 模版标题英文
     */
    private String tempTitleEn;

    /**
     * 模版标题中文
     */
    private String tempTitleZh;

    @TableField(exist = false)
    private String startTitleZh;
    @TableField(exist = false)
    private String startTitleEn;
    @TableField(exist = false)
    private String destTitleZh;
    @TableField(exist = false)
    private String destTitleEn;
    @TableField(exist = false)
    private Long startCityId;
    @TableField(exist = false)
    private Long destCityId;

    @TableField(exist = false)
    private Long startCountryId;
    @TableField(exist = false)
    private Long destCountryId;

    @TableField(exist = false)
    private String startQianzhui;
    @TableField(exist = false)
    private String destQianzhui;

    /*
     落款信息
     */
    private String lkLeft;

    /*
     落款信息
     */
    private String lkRight;

    /*
    图章名称
    */
    private String tzName;

}
