package cn.iocoder.yudao.module.depository.dal.mysql.lineChannelPackaging;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPackaging.LineChannelPackagingDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.depository.vo.lineChannelPackaging.*;
import org.apache.ibatis.annotations.Param;

/**
 * 线路渠道清关费包装类型 Mapper
 * @author yanghao
 */
@Mapper
public interface LineChannelPackagingMapper extends AbstractMapper<LineChannelPackagingDO> {

    @Delete("delete from ecw_line_channel_packaging where line_id = #{lineId}")
    void physicsDelete(@Param("lineId") Long lineId);


    @Override
    default PageResult<LineChannelPackagingDO> selectPage(PageVO page, Object object) {
        if (object instanceof LineChannelPackagingQueryVO) {
            LineChannelPackagingQueryVO vo = (LineChannelPackagingQueryVO)object;
            return selectPage(page, new LambdaQuery<LineChannelPackagingDO>()
                .eqIfPresent(LineChannelPackagingDO::getChannelIds, vo.getChannelIds())
                .eqIfPresent(LineChannelPackagingDO::getLineId, vo.getLineId())
                .eqIfPresent(LineChannelPackagingDO::getPackagingTypes, vo.getPackagingTypes())
                .eqIfPresent(LineChannelPackagingDO::getAirWeightLimit, vo.getAirWeightLimit())
                .betweenIfPresent(LineChannelPackagingDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(LineChannelPackagingDO::getId));
        }

        return null;
    }

    @Override
    default List<LineChannelPackagingDO> selectList(Object object) {
        if (object instanceof LineChannelPackagingQueryVO) {
            LineChannelPackagingQueryVO vo = (LineChannelPackagingQueryVO)object;
            return selectList(new LambdaQuery<LineChannelPackagingDO>()
                .eqIfPresent(LineChannelPackagingDO::getChannelIds, vo.getChannelIds())
                .eqIfPresent(LineChannelPackagingDO::getLineId, vo.getLineId())
                .eqIfPresent(LineChannelPackagingDO::getPackagingTypes, vo.getPackagingTypes())
                .eqIfPresent(LineChannelPackagingDO::getAirWeightLimit, vo.getAirWeightLimit())
                .betweenIfPresent(LineChannelPackagingDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(LineChannelPackagingDO::getId));
        }

        return null;
    }

    List<LineChannelPackagingDO> queryAirClearancePrice(@Param("packageType") String packageType, @Param("channelId") Long channelId, @Param("lineId") Long lineId);
}
