package cn.iocoder.yudao.module.depository.dal.mysql.lineChannelPriceStepClearance;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPriceStepClearance.LineChannelPriceStepClearanceDO;
import cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance.LineChannelPriceStepClearanceQueryVO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 线路渠道清关费阶梯价格 Mapper
 * @author yanghao
 */
@Mapper
public interface LineChannelPriceStepClearanceMapper extends AbstractMapper<LineChannelPriceStepClearanceDO> {


    @Delete("delete from ecw_line_channel_price_step_clearance where line_id = #{lineId}")
    void physicsDelete(@Param("lineId") Long lineId);

    @Override
    default PageResult<LineChannelPriceStepClearanceDO> selectPage(PageVO page, Object object) {
        if (object instanceof LineChannelPriceStepClearanceQueryVO) {
            LineChannelPriceStepClearanceQueryVO vo = (LineChannelPriceStepClearanceQueryVO)object;
            return selectPage(page, new LambdaQuery<LineChannelPriceStepClearanceDO>()
                .eqIfPresent(LineChannelPriceStepClearanceDO::getLineId, vo.getLineId())
                .eqIfPresent(LineChannelPriceStepClearanceDO::getPackagingId, vo.getPackagingId())
                .eqIfPresent(LineChannelPriceStepClearanceDO::getStartNum, vo.getStartNum())
                .eqIfPresent(LineChannelPriceStepClearanceDO::getEndNum, vo.getEndNum())
                .eqIfPresent(LineChannelPriceStepClearanceDO::getClearancePrice, vo.getClearancePrice())
                .betweenIfPresent(LineChannelPriceStepClearanceDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(LineChannelPriceStepClearanceDO::getId));
        }

        return null;
    }

    @Override
    default List<LineChannelPriceStepClearanceDO> selectList(Object object) {
        if (object instanceof LineChannelPriceStepClearanceQueryVO) {
            LineChannelPriceStepClearanceQueryVO vo = (LineChannelPriceStepClearanceQueryVO)object;
            return selectList(new LambdaQuery<LineChannelPriceStepClearanceDO>()
                .eqIfPresent(LineChannelPriceStepClearanceDO::getLineId, vo.getLineId())
                .eqIfPresent(LineChannelPriceStepClearanceDO::getPackagingId, vo.getPackagingId())
                .eqIfPresent(LineChannelPriceStepClearanceDO::getStartNum, vo.getStartNum())
                .eqIfPresent(LineChannelPriceStepClearanceDO::getEndNum, vo.getEndNum())
                .eqIfPresent(LineChannelPriceStepClearanceDO::getClearancePrice, vo.getClearancePrice())
                .betweenIfPresent(LineChannelPriceStepClearanceDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(LineChannelPriceStepClearanceDO::getId));
        }

        return null;
    }
}
