package cn.iocoder.yudao.module.depository.dal.mysql.warehouse;

import java.util.*;

import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.depository.vo.dept.DeptWarehouseBaseVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.DeptWarehouseDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 部门仓库(多对多) Mapper
 *
 * @author wlh
 */
@Mapper
public interface DeptWarehouseMapper extends BaseMapperX<DeptWarehouseDO> {



    default List<DeptWarehouseDO> selectList(DeptWarehouseBaseVO reqVO) {
        return selectList(new LambdaQueryWrapperX<DeptWarehouseDO>()
                .eqIfPresent(DeptWarehouseDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(DeptWarehouseDO::getWarehouseId, reqVO.getWarehouseId())
                .eqIfPresent(DeptWarehouseDO::getStatus, reqVO.getStatus())
                .orderByDesc(DeptWarehouseDO::getId));
    }

}
