package cn.iocoder.yudao.module.depository.dal.mysql.warehouse;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.depository.vo.shelfGrid.ShelfGridExportReqVO;
import cn.iocoder.yudao.module.depository.vo.shelfGrid.ShelfGridPageReqVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.ShelfGridDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 货架格子 Mapper
 *
 * @author wlh
 */
@Mapper
public interface ShelfGridMapper extends BaseMapperX<ShelfGridDO> {

    default PageResult<ShelfGridDO> selectPage(ShelfGridPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ShelfGridDO>()
                .eqIfPresent(ShelfGridDO::getShelfId, reqVO.getShelfId())
                .eqIfPresent(ShelfGridDO::getRegionCode, reqVO.getRegionCode())
                .eqIfPresent(ShelfGridDO::getShelfNo, reqVO.getShelfNo())
//                .eqIfPresent(ShelfGridDO::getVolume, reqVO.getVolume())
                .eqIfPresent(ShelfGridDO::getShelfType, reqVO.getShelfType())
                .eqIfPresent(ShelfGridDO::getSort, reqVO.getSort())
                .eqIfPresent(ShelfGridDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(ShelfGridDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByAsc(ShelfGridDO::getSort));
    }

    default List<ShelfGridDO> selectList(ShelfGridExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<ShelfGridDO>()
                .eqIfPresent(ShelfGridDO::getShelfId, reqVO.getShelfId())
                .eqIfPresent(ShelfGridDO::getRegionCode, reqVO.getRegionCode())
                .eqIfPresent(ShelfGridDO::getShelfNo, reqVO.getShelfNo())
//                .eqIfPresent(ShelfGridDO::getVolume, reqVO.getVolume())
                .eqIfPresent(ShelfGridDO::getShelfType, reqVO.getShelfType())
                .eqIfPresent(ShelfGridDO::getSort, reqVO.getSort())
                .eqIfPresent(ShelfGridDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(ShelfGridDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(ShelfGridDO::getId));
    }

}
