package cn.iocoder.yudao.module.depository.dal.mysql.warehouse;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.depository.vo.shelf.ShelfExportReqVO;
import cn.iocoder.yudao.module.depository.vo.shelf.ShelfPageReqVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.ShelfDO;
import jodd.util.StringUtil;
import org.apache.ibatis.annotations.Mapper;

/**
 * 货架 Mapper
 *
 * @author wlh
 */
@Mapper
public interface ShelfMapper extends BaseMapperX<ShelfDO> {

    default PageResult<ShelfDO> selectPage(ShelfPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ShelfDO>()
                .eqIfPresent(ShelfDO::getWarehouseId, reqVO.getWarehouseId())
                .like(StringUtil.isNotEmpty(reqVO.getRegionCode()), ShelfDO::getRegionCode, reqVO.getRegionCode())
                .orderByDesc(ShelfDO::getId));
    }

    default List<ShelfDO> selectList(ShelfExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<ShelfDO>()
                .eqIfPresent(ShelfDO::getWarehouseId, reqVO.getWarehouseId())
                .likeIfPresent(ShelfDO::getRegionName, reqVO.getRegionName())
                .eqIfPresent(ShelfDO::getRegionCode, reqVO.getRegionCode())
                .eqIfPresent(ShelfDO::getBarcodeStart, reqVO.getBarcodeStart())
                .eqIfPresent(ShelfDO::getShelfNum, reqVO.getShelfNum())
                .eqIfPresent(ShelfDO::getShelfStart, reqVO.getShelfStart())
                .eqIfPresent(ShelfDO::getShelfLayer, reqVO.getShelfLayer())
                .eqIfPresent(ShelfDO::getLayerStart, reqVO.getLayerStart())
                .eqIfPresent(ShelfDO::getShelfGridNum, reqVO.getShelfGridNum())
                .eqIfPresent(ShelfDO::getShelfType, reqVO.getShelfType())
                .eqIfPresent(ShelfDO::getSort, reqVO.getSort())
                .eqIfPresent(ShelfDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(ShelfDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(ShelfDO::getId));
    }

}
