package cn.iocoder.yudao.module.depository.dal.mysql.warehouse;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.depository.vo.warehouseAreaPosition.WarehouseAreaPositionQueryVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.WarehouseAreaPositionDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 仓位管理 Mapper
 * @author wlh
 */
@Mapper
public interface WarehouseAreaPositionMapper extends AbstractMapper<WarehouseAreaPositionDO> {
    @Override
    default PageResult<WarehouseAreaPositionDO> selectPage(PageVO page, Object object) {
        if (object instanceof WarehouseAreaPositionQueryVO) {
            WarehouseAreaPositionQueryVO vo = (WarehouseAreaPositionQueryVO)object;
            return selectPage(page, new LambdaQuery<WarehouseAreaPositionDO>()
                .eqIfPresent(WarehouseAreaPositionDO::getDomainId, vo.getDomainId())
                .likeIfPresent(WarehouseAreaPositionDO::getDomainName, vo.getDomainName())
                .eqIfPresent(WarehouseAreaPositionDO::getAreaId, vo.getAreaId())
                .likeIfPresent(WarehouseAreaPositionDO::getAreaName, vo.getAreaName())
                .likeIfPresent(WarehouseAreaPositionDO::getCode, vo.getCode())
                .eqIfPresent(WarehouseAreaPositionDO::getPid, 0)
                .eqIfPresent(WarehouseAreaPositionDO::getIsShelf, vo.getIsShelf())
                .eqIfPresent(WarehouseAreaPositionDO::getStatus, vo.getStatus())
                .betweenIfPresent(WarehouseAreaPositionDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(WarehouseAreaPositionDO::getId));
        }

        return null;
    }

    @Override
    default List<WarehouseAreaPositionDO> selectList(Object object) {
        if (object instanceof WarehouseAreaPositionQueryVO) {
            WarehouseAreaPositionQueryVO vo = (WarehouseAreaPositionQueryVO)object;
            return selectList(new LambdaQuery<WarehouseAreaPositionDO>()
                .eqIfPresent(WarehouseAreaPositionDO::getDomainId, vo.getDomainId())
                .likeIfPresent(WarehouseAreaPositionDO::getDomainName, vo.getDomainName())
                .eqIfPresent(WarehouseAreaPositionDO::getAreaId, vo.getAreaId())
                .likeIfPresent(WarehouseAreaPositionDO::getAreaName, vo.getAreaName())
                .eqIfPresent(WarehouseAreaPositionDO::getCode, vo.getCode())
                .eqIfPresent(WarehouseAreaPositionDO::getPid, vo.getPid())
                .eqIfPresent(WarehouseAreaPositionDO::getIsShelf, vo.getIsShelf())
                .eqIfPresent(WarehouseAreaPositionDO::getStatus, vo.getStatus())
                .betweenIfPresent(WarehouseAreaPositionDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(WarehouseAreaPositionDO::getId));
        }

        return null;
    }
}
