package cn.iocoder.yudao.module.depository.service.lineChannelPackaging;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.depository.vo.lineChannelPackaging.*;
import cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPackaging.LineChannelPackagingDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 线路渠道清关费包装类型 Service 接口
 *
 * @author yanghao
 */
public interface LineChannelPackagingService extends IService<LineChannelPackagingDO> {

    /**
     * 创建线路渠道清关费包装类型
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLineChannelPackaging(@Valid LineChannelPackagingCreateReqVO createReqVO);


    /**
     * 删除线路渠道清关费包装类型
     * @param id 编号
     */
    void deleteLineChannelPackaging(Long id);

    /**
     * 获得线路渠道清关费包装类型
     * @param id 编号
     * @return 线路渠道清关费包装类型
     */
    LineChannelPackagingDO getLineChannelPackaging(Long id);

    /**
     * 通过线路id获取渠道包装类型清关费列表
     *
     * @param lineId 线路id
     * @return
     */
    List<LineChannelPackagingDO> getLineChannelPackagingList(Long lineId);

    /**
     * 获得线路渠道清关费包装类型列表
     * @param ids 编号
     * @return 线路渠道清关费包装类型列表
     */
    List<LineChannelPackagingDO> getLineChannelPackagingList(Collection<Long> ids);

    /**
     * 获得线路渠道清关费包装类型分页
     * @param page 分页查询
     * @param query 查询
     * @return 线路渠道清关费包装类型分页
     */
    PageResult<LineChannelPackagingDO> getLineChannelPackagingPage(LineChannelPackagingQueryVO query, PageVO page);

    /**
     * 获得线路渠道清关费包装类型列表, 用于 Excel 导出
     * @param query 查询
     * @return 线路渠道清关费包装类型列表
     */
    List<LineChannelPackagingDO> getLineChannelPackagingList(LineChannelPackagingQueryVO query);

    List<LineChannelPackagingDO> queryAirClearancePrice(List<String> packages, Long channelId, Long LineId);
}
