package cn.iocoder.yudao.module.depository.service.lineChannelPriceStepClearance;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPriceStepClearance.LineChannelPriceStepClearanceDO;
import cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance.LineChannelPriceStepClearanceCreateReqVO;
import cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance.LineChannelPriceStepClearanceQueryVO;

import javax.validation.Valid;
import java.util.Collection;
import java.util.List;

/**
 * 线路渠道清关费阶梯价格 Service 接口
 *
 * @author yanghao
 */
public interface LineChannelPriceStepClearanceService extends IService<LineChannelPriceStepClearanceDO> {

    /**
     * 创建线路渠道清关费阶梯价格
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLineChannelPriceStepClearance(@Valid LineChannelPriceStepClearanceCreateReqVO createReqVO);


    /**
     * 删除线路渠道清关费阶梯价格
     * @param id 编号
     */
    void deleteLineChannelPriceStepClearance(Long id);

    /**
     * 获得线路渠道清关费阶梯价格
     * @param id 编号
     * @return 线路渠道清关费阶梯价格
     */
    LineChannelPriceStepClearanceDO getLineChannelPriceStepClearance(Long id);

    /**
     * 获得线路渠道清关费阶梯价格列表
     * @param ids 编号
     * @return 线路渠道清关费阶梯价格列表
     */
    List<LineChannelPriceStepClearanceDO> getLineChannelPriceStepClearanceList(Collection<Long> ids);

    /**
     * 获得线路渠道清关费阶梯价格分页
     * @param page 分页查询
     * @param query 查询
     * @return 线路渠道清关费阶梯价格分页
     */
    PageResult<LineChannelPriceStepClearanceDO> getLineChannelPriceStepClearancePage(LineChannelPriceStepClearanceQueryVO query, PageVO page);

    /**
     * 获得线路渠道清关费阶梯价格列表, 用于 Excel 导出
     * @param query 查询
     * @return 线路渠道清关费阶梯价格列表
     */
    List<LineChannelPriceStepClearanceDO> getLineChannelPriceStepClearanceList(LineChannelPriceStepClearanceQueryVO query);
}
