package cn.iocoder.yudao.module.depository.service.lineChannelPriceStepClearance;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.depository.convert.lineChannelPriceStepClearance.LineChannelPriceStepClearanceConvert;
import cn.iocoder.yudao.module.depository.dal.dataobject.lineChannelPriceStepClearance.LineChannelPriceStepClearanceDO;
import cn.iocoder.yudao.module.depository.dal.mysql.lineChannelPriceStepClearance.LineChannelPriceStepClearanceMapper;
import cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance.LineChannelPriceStepClearanceCreateReqVO;
import cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance.LineChannelPriceStepClearanceQueryVO;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;

/**
 * 线路渠道清关费阶梯价格 Service 实现类
 *
 * @author yanghao
 */
@Service
@Validated
public class LineChannelPriceStepClearanceServiceImpl extends AbstractService<LineChannelPriceStepClearanceMapper, LineChannelPriceStepClearanceDO> implements LineChannelPriceStepClearanceService {

    @Resource
    private LineChannelPriceStepClearanceMapper lineChannelPriceStepClearanceMapper;

    @Override
    public Long createLineChannelPriceStepClearance(LineChannelPriceStepClearanceCreateReqVO createReqVO) {
        // 插入
        LineChannelPriceStepClearanceDO lineChannelPriceStepClearance = LineChannelPriceStepClearanceConvert.INSTANCE.convert(createReqVO);
        lineChannelPriceStepClearanceMapper.insert(lineChannelPriceStepClearance);
        // 返回
        return lineChannelPriceStepClearance.getId();
    }

    @Override
    public void deleteLineChannelPriceStepClearance(Long id) {
        // 校验存在
        this.validateLineChannelPriceStepClearanceExists(id);
        // 删除
        lineChannelPriceStepClearanceMapper.deleteById(id);
    }

    private void validateLineChannelPriceStepClearanceExists(Long id) {
        // if (lineChannelPriceStepClearanceMapper.selectById(id) == null) {
        //     throw exception(LINE_CHANNEL_PRICE_STEP_CLEARANCE_NOT_EXISTS);
        // }
    }

    @Override
    public LineChannelPriceStepClearanceDO getLineChannelPriceStepClearance(Long id) {
        return lineChannelPriceStepClearanceMapper.selectById(id);
    }

    @Override
    public List<LineChannelPriceStepClearanceDO> getLineChannelPriceStepClearanceList(Collection<Long> ids) {
        return lineChannelPriceStepClearanceMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<LineChannelPriceStepClearanceDO> getLineChannelPriceStepClearancePage(LineChannelPriceStepClearanceQueryVO query, PageVO page) {
        return lineChannelPriceStepClearanceMapper.selectPage(page, query);
    }

    @Override
    public List<LineChannelPriceStepClearanceDO> getLineChannelPriceStepClearanceList(LineChannelPriceStepClearanceQueryVO query) {
        return lineChannelPriceStepClearanceMapper.selectList(query);
    }
}
