package cn.iocoder.yudao.module.depository.service.warehouseLine;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.depository.dal.dataobject.warehouse.WarehouseLineDO;
import cn.iocoder.yudao.module.depository.vo.warehouseLine.WarehouseLineBackVO;
import cn.iocoder.yudao.module.depository.vo.warehouseLine.WarehouseLineChannelPackagingCreateReqVO;
import cn.iocoder.yudao.module.depository.vo.warehouseLine.WarehouseLineChannelTemplateBackVO;
import cn.iocoder.yudao.module.depository.vo.warehouseLine.WarehouseLineQueryVO;

import javax.validation.Valid;
import java.util.Collection;
import java.util.List;

/**
 * 仓库线路关联 Service 接口
 *
 * @author wlh
 */
public interface WarehouseLineService extends IService<WarehouseLineDO> {

    /**
     * 创建仓库线路关联
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWarehouseLineChannelPackaging(@Valid WarehouseLineChannelPackagingCreateReqVO createReqVO);


    /**
     * 删除仓库线路关联
     * @param id 编号
     */
    void deleteWarehouseLine(Long id);

    /**
     * 获得仓库线路关联
     * @param id 编号
     * @return 仓库线路关联
     */
    WarehouseLineDO getWarehouseLine(Long id);

    /**
     * 获得仓库线路关联列表
     * @param ids 编号
     * @return 仓库线路关联列表
     */
    List<WarehouseLineDO> getWarehouseLineList(Collection<Long> ids);

    /**
     * 获得仓库线路关联分页
     * @param page 分页查询
     * @param query 查询
     * @return 仓库线路关联分页
     */
    PageResult<WarehouseLineBackVO> getWarehouseLinePage(WarehouseLineQueryVO query, PageVO page);

    /**
     * 获得仓库线路关联列表, 用于 Excel 导出
     * @param query 查询
     * @return 仓库线路关联列表
     */
    List<WarehouseLineDO> getWarehouseLineList(WarehouseLineQueryVO query);
}
