package cn.iocoder.yudao.module.depository.vo.lineChannelPackaging;

import cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance.LineChannelPriceStepClearanceBackVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 线路渠道清关费包装类型 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 线路渠道清关费包装类型 Response VO")
public class LineChannelPackagingBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("渠道ID列表")
    @ApiModelProperty(value = "渠道ID列表", required = true)
    private String channelIds;

    @ExcelProperty("线路ID")
    @ApiModelProperty(value = "线路ID", required = true)
    private Long lineId;

    @ExcelProperty("包装类型 eg:1,2,3")
    @ApiModelProperty(value = "包装类型 eg:1,2,3")
    private String packagingTypes;

    @ExcelProperty("空运重量上限")
    @ApiModelProperty(value = "空运重量上限")
    private java.math.BigDecimal airWeightLimit;

    @ExcelProperty("清关金额单位")
    @ApiModelProperty(value = "清关金额单位")
    private Long clearancePriceUnit;

    @ExcelProperty("清关体积单位")
    @ApiModelProperty(value = "清关体积单位")
    private Long clearanceVolumeUnit;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;



    @ApiModelProperty(value = "清关费阶梯价格列表")
    private List<LineChannelPriceStepClearanceBackVO> lineChannelPriceStepClearanceBackVOList;


}
