package cn.iocoder.yudao.module.depository.vo.lineChannelPackaging;

import cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance.LineChannelPriceStepClearanceCreateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ToString(callSuper = true)
@ApiModel("管理后台 - 线路渠道清关费包装类型创建 Request VO")
public class LineChannelPackagingCreateReqVO {



    @ApiModelProperty(value = "渠道ID列表", required = true)
    @NotNull(message = "渠道ID列表不能为空")
    private String channelIds;

    @ApiModelProperty(value = "线路ID", required = true)
    @NotNull(message = "线路ID不能为空")
    private Long lineId;

    @ApiModelProperty(value = "包装类型 eg:1,2,3")
    private String packagingTypes;

    @ApiModelProperty(value = "空运重量上限")
    private java.math.BigDecimal airWeightLimit;


    @ApiModelProperty(value = "清关金额单位")
    private Long clearancePriceUnit;

    @ApiModelProperty(value = "清关体积单位")
    private Long clearanceVolumeUnit;



    /**
     * 空运清关费阶梯价格
     */
    @ApiModelProperty(value = "清关费阶梯价格列表")
    private List<LineChannelPriceStepClearanceCreateReqVO> priceStepClearanceCreateReqVOList;

}
