package cn.iocoder.yudao.module.depository.vo.lineChannelPriceStepClearance;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 线路渠道清关费阶梯价格 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 线路渠道清关费阶梯价格 Response VO")
public class LineChannelPriceStepClearanceBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("线路ID")
    @ApiModelProperty(value = "线路ID", required = true)
    private Long lineId;

    @ExcelProperty("包装类型ID")
    @ApiModelProperty(value = "包装类型ID", required = true)
    private Long packagingId;

    @ExcelProperty("起始数量")
    @ApiModelProperty(value = "起始数量", required = true)
    private java.math.BigDecimal startNum;

    @ExcelProperty("结束数量")
    @ApiModelProperty(value = "结束数量")
    private java.math.BigDecimal endNum;

    @ExcelProperty("清关费用")
    @ApiModelProperty(value = "清关费用")
    private java.math.BigDecimal clearancePrice;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
