package cn.iocoder.yudao.module.depository.vo.shelf;

import lombok.*;
import io.swagger.annotations.*;

/**
* 货架 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ShelfBaseVO {

    @ApiModelProperty(value = "仓库ID")
    private Long warehouseId;

    @ApiModelProperty(value = "区域名称")
    private String regionName;

    @ApiModelProperty(value = "区域编码")
    private String regionCode;

    @ApiModelProperty(value = "条码起始号")
    private Integer barcodeStart;

    @ApiModelProperty(value = "货架数量")
    private Integer shelfNum;

    @ApiModelProperty(value = "货架起始号，默认为0")
    private Integer shelfStart = 0;

    @ApiModelProperty(value = "货架层数")
    private Integer shelfLayer;

    @ApiModelProperty(value = "层数起始号，默认为1")
    private Integer layerStart = 1;

    @ApiModelProperty(value = "货架格数")
    private Integer shelfGridNum = 1;

    @ApiModelProperty(value = "货架类型")
    private Integer shelfType;

    @ApiModelProperty(value = "排序，默认为0")
    private Integer sort = 0;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

}
