package cn.iocoder.yudao.module.depository.vo.shelf;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 货架分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShelfPageReqVO extends PageParam {

    @ApiModelProperty(value = "仓库ID")
    private Long warehouseId;

    @ApiModelProperty(value = "区域名称")
    private String regionName;

    @ApiModelProperty(value = "区域编码")
    private String regionCode;

    @ApiModelProperty(value = "条码起始号")
    private Integer barcodeStart;

    @ApiModelProperty(value = "货架数量")
    private Integer shelfNum;

    @ApiModelProperty(value = "货架起始号")
    private Integer shelfStart;

    @ApiModelProperty(value = "货架层数")
    private Integer shelfLayer;

    @ApiModelProperty(value = "层数起始号")
    private Integer layerStart;

    @ApiModelProperty(value = "货架格数")
    private Integer shelfGridNum;

    @ApiModelProperty(value = "货架类型")
    private Integer shelfType;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
