package cn.iocoder.yudao.module.depository.vo.shelfGrid;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 货架格子 Excel 导出 Request VO", description = "参数和 ShelfGridPageReqVO 是一致的")
@Data
public class ShelfGridExportReqVO {

    @ApiModelProperty(value = "货架ID")
    private Long shelfId;

    @ApiModelProperty(value = "区域编码")
    private String regionCode;

    @ApiModelProperty(value = "货架编号")
    private Integer shelfNo;

    @ApiModelProperty(value = "库存容量")
    private BigDecimal volume;

    @ApiModelProperty(value = "货架类型")
    private Integer shelfType;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
