package cn.iocoder.yudao.module.depository.vo.warehouse;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class RegionWarehouse {

    @ApiModelProperty(value = "区域id", required = true)
    private Long id;


    @ApiModelProperty(value = "区域名称", required = true)
    @NotNull(message = "区域名称不能为空")
    private String titleZh;

    @ApiModelProperty(value = "地区英文", required = true)
    @NotNull(message = "地区英文不能为空")
    private String titleEn;

    @ApiModelProperty(value = "简称", required = true)
    @NotNull(message = "简称不能为空")
    private String shortName;

    @ApiModelProperty(value = "语言", required = false)
//    @NotNull(message = "语言不能为空")
    private String language;

    @ApiModelProperty(value = "国家代号-城市代号")
    private String labelCode;

    @ApiModelProperty(value = "类型", required = false)
//    @NotNull(message = "类型不能为空")
    private String type;

    @ApiModelProperty(value = "父区域id", required = false)
//    @NotNull(message = "父区域id不能为空")
    private Long parentId;

    @ApiModelProperty(value = "显示顺序", required = true)
    @NotNull(message = "显示顺序不能为空")
    private Integer sort;

    @ApiModelProperty(value = "国家列表")
    private List<RegionWarehouse> children;

    @ApiModelProperty(value = "国家下的仓库列表")
    private List<WarehouseRespVO> warehouseList;
}
