package cn.iocoder.yudao.module.depository.vo.warehouse;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 仓库 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class WarehouseBaseVO {

    @ApiModelProperty(value = "上级仓库", required = true)
    private Long pid;

    @ApiModelProperty(value = "网点id")
    private Long nodeId;

    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value = "仓库编号")
    private String number;

    @ApiModelProperty(value = "仓库简码")
    private String qianzhui;

    @ApiModelProperty(value = "仓库名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "容量")
    private String volume;

    @ApiModelProperty(value = "仓库地址")
    private String addressZh;

    @ApiModelProperty(value = "英文地址")
    private String addressEn;

    @ApiModelProperty(value = "洲")
    private Long zhou;

    @ApiModelProperty(value = "国家")
    private Long guojia;

    @ApiModelProperty(value = "省")
    private Long sheng;

    @ApiModelProperty(value = "市")
    private Long shi;

    @ApiModelProperty(value = "负责人")
    private String head;

    @ApiModelProperty(value = "电话")
    private String tell;

    @ApiModelProperty(value = "字典:region_trade_type")
    private String tradeType;

    @ApiModelProperty(value = "运输方式id，多个用逗号隔开")
    private String freight;

    @ApiModelProperty(value = "图片地址")
    private String img;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "排序", required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @ApiModelProperty(value = "会员控货下单要求")
    private String kycStatus;

    /*
    仓库免租期，单位为天数
    */
    @ApiModelProperty(value = "仓库免租期")
    private int rentFreeDays;


    /*
     锁定收货人天数
     */
    @ApiModelProperty(value = "锁定收货人天数")
    private int lockRecipientDays;

}
