package cn.iocoder.yudao.module.depository.vo.warehouse;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 仓库 Excel 导出 Request VO", description = "参数和 WarehousePageReqVO 是一致的")
@Data
public class WarehouseExportReqVO {

    @ApiModelProperty(value = "上级仓库")
    private Long pid;

    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value = "网点id")
    private Long nodeId;

    @ApiModelProperty(value = "仓库编号")
    private String number;

    @ApiModelProperty(value = "仓库简码")
    private String qianzhui;

    @ApiModelProperty(value = "仓库名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "容量")
    private String volume;

    @ApiModelProperty(value = "仓库地址")
    private String addressZh;

    @ApiModelProperty(value = "英文地址")
    private String addressEn;

    @ApiModelProperty(value = "洲")
    private Long zhou;

    @ApiModelProperty(value = "国家")
    private Long guojia;

    @ApiModelProperty(value = "省")
    private Long sheng;

    @ApiModelProperty(value = "市")
    private Long shi;

    @ApiModelProperty(value = "负责人")
    private String head;

    @ApiModelProperty(value = "电话")
    private String tell;

    @ApiModelProperty(value = "字典:region_trade_type")
    private String tradeType;

    @ApiModelProperty(value = "运输方式id，多个用逗号隔开")
    private String freight;

    @ApiModelProperty(value = "图片地址")
    private String img;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
