package cn.iocoder.yudao.module.depository.vo.warehouse;

import lombok.*;
import io.swagger.annotations.*;

import java.math.BigDecimal;

/**
* 仓库线路关联 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class WarehouseLineBaseVO {

    @ApiModelProperty(value = "始发地id")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的地id")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式")
    private String transportType;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    private String otherService;

    /**
     * 控货，0-支持，1-不支持
     */
    private Integer controlStatus;

    /**
     * 保费币种
     */
    private Long currencyUnit;

    /**
     * 最低保费金额
     */
    private BigDecimal minPrice;


    /**
     * 提单制作节点
     */
    private String makeBillNode;


    /**
     * 是否在客户端显示  0不显示 1显示
     */
    private Boolean isClientShow;

}
