package cn.iocoder.yudao.module.depository.vo.warehouse;

import cn.iocoder.yudao.module.depository.dto.ContactInfoDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("仓库线路 - 开通服务相关请求对象")
public class WarehouseLineServiceReqVO {

    @ApiModelProperty(value = "线路id")
    private Long lineId;

    @ApiModelProperty(value = "开通服务,eg:1,2,3,4")
    private String otherService;

    @ApiModelProperty(value = "控货，0-支持，1-不支持")
    private Integer controlStatus;

    @ApiModelProperty(value = "保费币种")
    private Long currencyUnit;

    @ApiModelProperty(value = "最低保费金额")
    private Long minPrice;

    @ApiModelProperty(value = "提单制作节点")
    private String makeBillNode;

    @ApiModelProperty(value = "是否在客户端显示  0不显示 1显示")
    private Integer isClientShow;

    @ApiModelProperty(value = "收件人信息")
    private ContactInfoDTO senderInfo;

    @ApiModelProperty(value = "发件人信息")
    private ContactInfoDTO recipientInfo;

    /**
     * 模版标题英文
     */
    @ApiModelProperty(value = "模版标题英文")
    private String tempTitleEn;

    /**
     * 模版标题中文
     */
    @ApiModelProperty(value = "模版标题中文")
    private String tempTitleZh;


    /*
     落款信息
     */
    private String lkLeft;

    /*
     落款信息
     */
    private String lkRight;

    /*
     图章名称
     */
    private String tzName;
}
