package cn.iocoder.yudao.module.depository.vo.warehouseArea;

import cn.iocoder.yudao.module.depository.vo.warehouseAreaPosition.WarehouseAreaPositionBackVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 库区库域 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 库区库域 Response VO")
public class WarehouseAreaBackVO {

    @ExcelProperty("")
    private Long id;

    @ExcelProperty("仓库ID")
    @ApiModelProperty(value = "仓库ID")
    private Long warehouseId;

    @ExcelProperty("名称")
    @ApiModelProperty(value = "名称")
    private String name;

    @ExcelProperty("代码")
    @ApiModelProperty(value = "代码")
    private String code;

    @ExcelProperty("上级ID,0-库域，有值-库区")
    @ApiModelProperty(value = "上级ID,0-库域，有值-库区")
    private Long pid;

    @ExcelProperty("区域状态（0正常 1停用）")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date createTime;

    @ApiModelProperty(value = "库区列表")
    private List<WarehouseAreaBackVO> children;

    @ApiModelProperty(value = "库位列表")
    private List<WarehouseAreaPositionBackVO> positionList;

}
