package cn.iocoder.yudao.module.depository.vo.warehouseAreaPosition;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 仓位管理 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 仓位管理 Response VO")
public class WarehouseAreaPositionBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("库域ID")
    @ApiModelProperty(value = "库域ID")
    private Long domainId;

    @ExcelProperty("库域名称")
    @ApiModelProperty(value = "库域名称")
    private String domainName;

    @ExcelProperty("库区ID")
    @ApiModelProperty(value = "库区ID")
    private Long areaId;

    @ExcelProperty("库区名称")
    @ApiModelProperty(value = "库区名称")
    private String areaName;

    @ExcelProperty("仓库ID")
    @ApiModelProperty(value = "仓库ID")
    private Long warehouseId;

    @ExcelProperty("仓位代码")
    @ApiModelProperty(value = "仓位代码")
    private String code;

    @ExcelProperty("上级仓库")
    @ApiModelProperty(value = "上级仓库")
    private Long pid;

    @ExcelProperty("是否是货架，1-是，0-不是")
    @ApiModelProperty(value = "是否是货架，1-是，0-不是")
    private Integer isShelf;

    @ExcelProperty("区域状态（0正常 1停用）")
    @ApiModelProperty(value = "区域状态（0正常 1停用）")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 子仓位
     */
    private List<WarehouseAreaPositionBackVO> children;

}
