package cn.iocoder.yudao.module.depository.vo.warehouseAreaPosition;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 仓位查询 VO")
public class WarehouseAreaPositionQueryVO {

    @ApiModelProperty(value = "库域ID")
    private Long domainId;

    @ApiModelProperty(value = "库域名称")
    private String domainName;

    @ApiModelProperty(value = "库区ID")
    private Long areaId;

    @ApiModelProperty(value = "库区名称")
    private String areaName;

    @ApiModelProperty(value = "仓库ID")
    private Long warehouseId;

    @ApiModelProperty(value = "仓位代码")
    private String code;

    @ApiModelProperty(value = "上级仓库")
    private Long pid;

    @ApiModelProperty(value = "是否是货架，1-是，0-不是")
    private Integer isShelf;

    @ApiModelProperty(value = "区域状态（0正常 1停用）")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
