package cn.iocoder.yudao.module.depository.vo.warehouseLine;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 仓库线路关联 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 仓库线路关联 Response VO")
public class WarehouseLineBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("始发仓库id")
    @ApiModelProperty(value = "始发仓库id")
    private Long startWarehouseId;

    @ExcelProperty("目的仓库id")
    @ApiModelProperty(value = "目的仓库id")
    private Long destWarehouseId;

    @ExcelProperty("运输方式")
    @ApiModelProperty(value = "运输方式")
    private Integer transportType;

    @ExcelProperty("是否展示 默认为展示")
    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;




    @ExcelProperty("出货渠道")
    @ApiModelProperty(value = "出货渠道")
    private String channelIds;


    @ExcelProperty("出货渠道中文名称")
    @ApiModelProperty(value = "出货渠道中文名称")
    private String channelNamesZh;

    @ExcelProperty("出货渠道英文名称")
    @ApiModelProperty(value = "出货渠道英文名称")
    private String channelNamesEn;


    @ExcelProperty("始发仓库中文名称")
    @ApiModelProperty(value = "始发仓库中文名称")
    private String startWarehouseTitleZh;

    @ExcelProperty("始发仓库英文名称")
    @ApiModelProperty(value = "始发仓库英文名称")
    private String startWarehouseTitleEn;


    @ExcelProperty("目的仓库中文名称")
    @ApiModelProperty(value = "目的仓库中文名称")
    private String destWarehouseTitleZh;

    @ExcelProperty("目的仓库英文名称")
    @ApiModelProperty(value = "目的仓库英文名称")
    private String destWarehouseTitleEn;

    @ApiModelProperty(value = "目的国家id")
    private Long destCountryId;

    @ExcelProperty("目的国家中文名称")
    @ApiModelProperty(value = "目的仓库中文名称")
    private String destCountryNameZh;

    @ExcelProperty("目的国家英文名称")
    @ApiModelProperty(value = "目的国家英文名称")
    private String destCountryNameEn;

    /**
     * 模版标题英文
     */
    @ExcelProperty("模版标题英文")
    @ApiModelProperty(value = "模版标题英文")
    private String tempTitleEn;

    /**
     * 模版标题中文
     */
    @ExcelProperty("模版标题中文")
    @ApiModelProperty(value = "模版标题中文")
    private String tempTitleZh;

}
