package cn.iocoder.yudao.module.depository.vo.warehouseLine;

import cn.iocoder.yudao.module.depository.vo.lineChannelPackaging.LineChannelPackagingBackVO;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 仓库线路关联 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 仓库线路模板 Response VO")
public class WarehouseLineChannelTemplateBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("始发仓库id")
    @ApiModelProperty(value = "始发仓库id")
    private Long startWarehouseId;

    @ExcelProperty("目的仓库id")
    @ApiModelProperty(value = "目的仓库id")
    private Long destWarehouseId;

    @ExcelProperty("运输方式")
    @ApiModelProperty(value = "运输方式")
    private Integer transportType;

    @ExcelProperty("是否展示 默认为展示")
    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;


    @ApiModelProperty(value = "始发仓库中文名称")
    private String startWarehouseNameZh;
    @ApiModelProperty(value = "始发仓库英文名称")
    private String startWarehouseNameEn;

    @ApiModelProperty(value = "目的仓库中文名称")
    private String destWarehouseNameZh;
    @ApiModelProperty(value = "目的仓库英文名称")
    private String destWarehouseNameEn;


    @ApiModelProperty(value = "渠道数")
    private Integer channelCount;

    @ApiModelProperty(value = "渠道包装列表")
    private List<LineChannelPackagingBackVO> lineChannelPackagingBackVOList;


}
